#!/bin/sh

echo "starting up..."
node ace generate:key

# Check for pending migrations by parsing output
PENDING_MIGRATIONS=$(node ace migration:status | grep -ic 'pending')

# Run migrations only if there are pending ones

if [ "$PENDING_MIGRATIONS" -gt 0 ]; then
  echo "Found $PENDING_MIGRATIONS pending migration(s). Running migrations..."
  node ace migration:run --force
else
  echo "No pending migrations."
fi

echo "Seeding database..."
node ace db:seed

# Start the dev server
node ace serve --watch